using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
// 
class prog{

    static void Main(){

        string[] unos = Console.ReadLine().Split();
        int ukupno= int.Parse(unos[0]);
        int set = int.Parse(unos[1]);           


        if(ukupno < set*3){
            Console.WriteLine(-1);
            return;
        }
        if(ukupno == set*3){
            Console.WriteLine("{0} {1}", set, 0);
            Console.WriteLine("{0} {1}", set, 0);
            Console.WriteLine("{0} {1}", set, 0);
            return;
        }
        int iskorisceno = 0;

        Console.WriteLine("{0} {1}", set,0);
        iskorisceno+=set;

        if(ukupno % 2 == 0){
            Console.WriteLine("{0} {1}", set,0);
            iskorisceno+= set;
        }
        else{
            Console.WriteLine("{0} {1}", set,1);
            iskorisceno+= set;
        }
        int ostalo = ukupno - iskorisceno;
        if(ostalo <= 2*set-2){

            Console.WriteLine("{0} {1}", set,ostalo-set);
        } else {

            Console.WriteLine("{0} {1}", ostalo/2+1,ostalo/2-1);
        }


    }
}